#!/usr/bin/env python

import sys
import os
import buildpkg
import shutil

def subversion_version():
    return '1.0'

def package_version():
    return '1'

def makeDir(basedir, *path):
    base = basedir
    for p in path:
        base = os.path.join(base, p)
        try:
            os.mkdir(base)
        except OSError, e:
            if e.errno <> errno.EEXIST: raise

if os.path.exists('release-dir'):
    shutil.rmtree('release-dir')
makeDir(os.getcwd(), 'release-dir', 'Subversion')

print 'Building package'

pm = buildpkg.PackageMaker('Subversion', subversion_version(),
""" A version control system that is a compelling replacement for CVS in the open source community.
""")
pm.build('packaging', 
        resources=os.path.join(os.getcwd(), 'Resources'),
        OutputDir=os.path.join(os.getcwd(), 'release-dir/Subversion'),
        Version=package_version(),
        NeedsAuthorization="YES",
        Relocatable="NO",
        RootVolumeOnly="YES")

print "Creating a simple disk image"
cmdline="hdiutil create -imagekey zlib-level=9 -srcfolder 'release-dir/Subversion' 'release-dir/Subversion-%s-%s.dmg'"%(
        subversion_version(), package_version(),
    )

print "> ", cmdline
os.system(cmdline)

print "Done. Don't forget to test the output!"
